## org.eclipse.jetty.policy.loader
Class DefaultPolicyLoader

    java.lang.Object
      org.eclipse.jetty.policy.loader.DefaultPolicyLoader

    public class DefaultPolicyLoader

extends Object

Load the policies within the stream and resolve into protection domains and permission collections

Constructor Summary
`DefaultPolicyLoader()`

Method Summary
`static Set<PolicyBlock>` `load(InputStream policyStream, PolicyContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPolicyLoader

    public DefaultPolicyLoader()

Method Detail

### load

    public static Set<PolicyBlock> load(InputStream policyStream,
                                        PolicyContext context)
                                 throws PolicyException

  Throws:
    `PolicyException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.